function init(hero) {
    hero.setName("Robin/Young Justice");
    hero.setVersion("Dick Grayson-The 1th Robin");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    hero.addEquipment("fiskheroes:bo_staff");
    
    hero.addPowers("fiskheroes:batsuit");
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.7, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    
    hero.setDefaultScale(0.77);
    hero.setHasPermission(hasPermission);
    hero.setHasProperty(hasProperty);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}